Bug 799558 - Review Request: xfce4-soundmenu-plugin - MPRIS2 control plugin for the Xfce panel
Review Request: xfce4-soundmenu-plugin - MPRIS2 control plugin for the Xfce p...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 19:20 EST by Christoph Wickert
Modified: 2015-12-07 04:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-24 08:26:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2012-03-02 19:20:58 EST
Spec URL: http://cwickert.fedorapeople.org/review/xfce4-soundmenu-plugin.spec
SRPM URL: http://cwickert.fedorapeople.org/review/xfce4-soundmenu-plugin-0.4.0-1.fc18.src.rpm
Description: A very basic xfce4-panel plugin to control MPRIS2 compatible media players.

Features:
* Play/Pause, Stop, Previous and Next track
* Display album cover in the panel
* Last.fm support

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3848311
Comment 1 Matthias Runge 2012-03-05 02:41:57 EST
I'll take this one.
Comment 2 Matthias Runge 2012-03-05 07:51:45 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files -f %{name}.lang section. This is OK
     if packaging for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[!]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint xfce4-soundmenu-plugin-debuginfo-0.4.0-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint xfce4-soundmenu-plugin-0.4.0-1.fc18.src.rpm

xfce4-soundmenu-plugin.src: W: spelling-error %description -l en_US fm -> FM, Fm, gm
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint xfce4-soundmenu-plugin-0.4.0-1.fc18.i686.rpm

xfce4-soundmenu-plugin.i686: W: spelling-error %description -l en_US fm -> FM, Fm, gm
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/799558/xfce4-soundmenu-plugin-0.4.0.tar.bz2 :
  MD5SUM this package     : 4afb8d8820ddc2c0030b9bed49262e3a
  MD5SUM upstream package : 4afb8d8820ddc2c0030b9bed49262e3a

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files -f %{name}.lang section. This is OK
     if packaging for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST Rpmlint output is silent.

rpmlint xfce4-soundmenu-plugin-debuginfo-0.4.0-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint xfce4-soundmenu-plugin-0.4.0-1.fc18.src.rpm

xfce4-soundmenu-plugin.src: W: spelling-error %description -l en_US fm -> FM, Fm, gm
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint xfce4-soundmenu-plugin-0.4.0-1.fc18.i686.rpm

xfce4-soundmenu-plugin.i686: W: spelling-error %description -l en_US fm -> FM, Fm, gm
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


If you're not going to push this for el5, too, you could drop the clean-section, buildroot-definition, rm -rf %{buildroot} from build-section etc.

I see no issues. 

Package APPROVED
Comment 3 Matthias Runge 2012-06-06 15:47:28 EDT
any progress here? Christoph are you still interested in this package?
Comment 4 Christoph Wickert 2012-06-06 16:15:33 EDT
Sorry, I guess I was traveling when I received the response and totally forgot it. Thanks for the reminder!
Comment 5 Christoph Wickert 2012-06-10 07:27:10 EDT
New Package SCM Request
=======================
Package Name: xfce4-soundmenu-plugin
Short Description: MPRIS2 control plugin for the Xfce panel
Owners: cwickert kevin
Branches: f16 f17
InitialCC:
Comment 6 Jon Ciesla 2012-06-10 10:15:54 EDT
Git done (by process-git-requests).
Comment 7 Matthias Runge 2012-09-12 04:00:20 EDT
Can not find any builds for this. I guess, you just forgot that, right?
Comment 8 Matthias Runge 2013-08-26 04:56:37 EDT
still used? Can we close this ticket?

Note You need to log in before you can comment on or make changes to this bug.